Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network46.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
46.0.0.0
Broadcast address
46.63.255.255
First usable
46.0.0.1
Last usable
46.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 2E000000 · Integer 771751936 to 775946239
Reverse DNS zones
0.46.in-addr.arpa
1.46.in-addr.arpa
2.46.in-addr.arpa
3.46.in-addr.arpa
4.46.in-addr.arpa
5.46.in-addr.arpa
6.46.in-addr.arpa
7.46.in-addr.arpa
8.46.in-addr.arpa
9.46.in-addr.arpa
10.46.in-addr.arpa
11.46.in-addr.arpa
12.46.in-addr.arpa
13.46.in-addr.arpa
14.46.in-addr.arpa
15.46.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101110.00000000.00000000.0000000046.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00101110.00000000.00000000.0000000046.0.0.0
Broadcast00101110.00111111.11111111.1111111146.63.255.255
Split into smaller subnets/22

46.0.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
146.0.0.0/2246.0.0.1 to 46.0.3.25446.0.3.2551,022
246.0.4.0/2246.0.4.1 to 46.0.7.25446.0.7.2551,022
346.0.8.0/2246.0.8.1 to 46.0.11.25446.0.11.2551,022
446.0.12.0/2246.0.12.1 to 46.0.15.25446.0.15.2551,022
546.0.16.0/2246.0.16.1 to 46.0.19.25446.0.19.2551,022
646.0.20.0/2246.0.20.1 to 46.0.23.25446.0.23.2551,022
746.0.24.0/2246.0.24.1 to 46.0.27.25446.0.27.2551,022
846.0.28.0/2246.0.28.1 to 46.0.31.25446.0.31.2551,022
946.0.32.0/2246.0.32.1 to 46.0.35.25446.0.35.2551,022
1046.0.36.0/2246.0.36.1 to 46.0.39.25446.0.39.2551,022
1146.0.40.0/2246.0.40.1 to 46.0.43.25446.0.43.2551,022
1246.0.44.0/2246.0.44.1 to 46.0.47.25446.0.47.2551,022
1346.0.48.0/2246.0.48.1 to 46.0.51.25446.0.51.2551,022
1446.0.52.0/2246.0.52.1 to 46.0.55.25446.0.55.2551,022
1546.0.56.0/2246.0.56.1 to 46.0.59.25446.0.59.2551,022
1646.0.60.0/2246.0.60.1 to 46.0.63.25446.0.63.2551,022
1746.0.64.0/2246.0.64.1 to 46.0.67.25446.0.67.2551,022
1846.0.68.0/2246.0.68.1 to 46.0.71.25446.0.71.2551,022
1946.0.72.0/2246.0.72.1 to 46.0.75.25446.0.75.2551,022
2046.0.76.0/2246.0.76.1 to 46.0.79.25446.0.79.2551,022
2146.0.80.0/2246.0.80.1 to 46.0.83.25446.0.83.2551,022
2246.0.84.0/2246.0.84.1 to 46.0.87.25446.0.87.2551,022
2346.0.88.0/2246.0.88.1 to 46.0.91.25446.0.91.2551,022
2446.0.92.0/2246.0.92.1 to 46.0.95.25446.0.95.2551,022
2546.0.96.0/2246.0.96.1 to 46.0.99.25446.0.99.2551,022
2646.0.100.0/2246.0.100.1 to 46.0.103.25446.0.103.2551,022
2746.0.104.0/2246.0.104.1 to 46.0.107.25446.0.107.2551,022
2846.0.108.0/2246.0.108.1 to 46.0.111.25446.0.111.2551,022
2946.0.112.0/2246.0.112.1 to 46.0.115.25446.0.115.2551,022
3046.0.116.0/2246.0.116.1 to 46.0.119.25446.0.119.2551,022
3146.0.120.0/2246.0.120.1 to 46.0.123.25446.0.123.2551,022
3246.0.124.0/2246.0.124.1 to 46.0.127.25446.0.127.2551,022
3346.0.128.0/2246.0.128.1 to 46.0.131.25446.0.131.2551,022
3446.0.132.0/2246.0.132.1 to 46.0.135.25446.0.135.2551,022
3546.0.136.0/2246.0.136.1 to 46.0.139.25446.0.139.2551,022
3646.0.140.0/2246.0.140.1 to 46.0.143.25446.0.143.2551,022
3746.0.144.0/2246.0.144.1 to 46.0.147.25446.0.147.2551,022
3846.0.148.0/2246.0.148.1 to 46.0.151.25446.0.151.2551,022
3946.0.152.0/2246.0.152.1 to 46.0.155.25446.0.155.2551,022
4046.0.156.0/2246.0.156.1 to 46.0.159.25446.0.159.2551,022
4146.0.160.0/2246.0.160.1 to 46.0.163.25446.0.163.2551,022
4246.0.164.0/2246.0.164.1 to 46.0.167.25446.0.167.2551,022
4346.0.168.0/2246.0.168.1 to 46.0.171.25446.0.171.2551,022
4446.0.172.0/2246.0.172.1 to 46.0.175.25446.0.175.2551,022
4546.0.176.0/2246.0.176.1 to 46.0.179.25446.0.179.2551,022
4646.0.180.0/2246.0.180.1 to 46.0.183.25446.0.183.2551,022
4746.0.184.0/2246.0.184.1 to 46.0.187.25446.0.187.2551,022
4846.0.188.0/2246.0.188.1 to 46.0.191.25446.0.191.2551,022
4946.0.192.0/2246.0.192.1 to 46.0.195.25446.0.195.2551,022
5046.0.196.0/2246.0.196.1 to 46.0.199.25446.0.199.2551,022
5146.0.200.0/2246.0.200.1 to 46.0.203.25446.0.203.2551,022
5246.0.204.0/2246.0.204.1 to 46.0.207.25446.0.207.2551,022
5346.0.208.0/2246.0.208.1 to 46.0.211.25446.0.211.2551,022
5446.0.212.0/2246.0.212.1 to 46.0.215.25446.0.215.2551,022
5546.0.216.0/2246.0.216.1 to 46.0.219.25446.0.219.2551,022
5646.0.220.0/2246.0.220.1 to 46.0.223.25446.0.223.2551,022
5746.0.224.0/2246.0.224.1 to 46.0.227.25446.0.227.2551,022
5846.0.228.0/2246.0.228.1 to 46.0.231.25446.0.231.2551,022
5946.0.232.0/2246.0.232.1 to 46.0.235.25446.0.235.2551,022
6046.0.236.0/2246.0.236.1 to 46.0.239.25446.0.239.2551,022
6146.0.240.0/2246.0.240.1 to 46.0.243.25446.0.243.2551,022
6246.0.244.0/2246.0.244.1 to 46.0.247.25446.0.247.2551,022
6346.0.248.0/2246.0.248.1 to 46.0.251.25446.0.251.2551,022
6446.0.252.0/2246.0.252.1 to 46.0.255.25446.0.255.2551,022
6546.1.0.0/2246.1.0.1 to 46.1.3.25446.1.3.2551,022
6646.1.4.0/2246.1.4.1 to 46.1.7.25446.1.7.2551,022
6746.1.8.0/2246.1.8.1 to 46.1.11.25446.1.11.2551,022
6846.1.12.0/2246.1.12.1 to 46.1.15.25446.1.15.2551,022
6946.1.16.0/2246.1.16.1 to 46.1.19.25446.1.19.2551,022
7046.1.20.0/2246.1.20.1 to 46.1.23.25446.1.23.2551,022
7146.1.24.0/2246.1.24.1 to 46.1.27.25446.1.27.2551,022
7246.1.28.0/2246.1.28.1 to 46.1.31.25446.1.31.2551,022
7346.1.32.0/2246.1.32.1 to 46.1.35.25446.1.35.2551,022
7446.1.36.0/2246.1.36.1 to 46.1.39.25446.1.39.2551,022
7546.1.40.0/2246.1.40.1 to 46.1.43.25446.1.43.2551,022
7646.1.44.0/2246.1.44.1 to 46.1.47.25446.1.47.2551,022
7746.1.48.0/2246.1.48.1 to 46.1.51.25446.1.51.2551,022
7846.1.52.0/2246.1.52.1 to 46.1.55.25446.1.55.2551,022
7946.1.56.0/2246.1.56.1 to 46.1.59.25446.1.59.2551,022
8046.1.60.0/2246.1.60.1 to 46.1.63.25446.1.63.2551,022
8146.1.64.0/2246.1.64.1 to 46.1.67.25446.1.67.2551,022
8246.1.68.0/2246.1.68.1 to 46.1.71.25446.1.71.2551,022
8346.1.72.0/2246.1.72.1 to 46.1.75.25446.1.75.2551,022
8446.1.76.0/2246.1.76.1 to 46.1.79.25446.1.79.2551,022
8546.1.80.0/2246.1.80.1 to 46.1.83.25446.1.83.2551,022
8646.1.84.0/2246.1.84.1 to 46.1.87.25446.1.87.2551,022
8746.1.88.0/2246.1.88.1 to 46.1.91.25446.1.91.2551,022
8846.1.92.0/2246.1.92.1 to 46.1.95.25446.1.95.2551,022
8946.1.96.0/2246.1.96.1 to 46.1.99.25446.1.99.2551,022
9046.1.100.0/2246.1.100.1 to 46.1.103.25446.1.103.2551,022
9146.1.104.0/2246.1.104.1 to 46.1.107.25446.1.107.2551,022
9246.1.108.0/2246.1.108.1 to 46.1.111.25446.1.111.2551,022
9346.1.112.0/2246.1.112.1 to 46.1.115.25446.1.115.2551,022
9446.1.116.0/2246.1.116.1 to 46.1.119.25446.1.119.2551,022
9546.1.120.0/2246.1.120.1 to 46.1.123.25446.1.123.2551,022
9646.1.124.0/2246.1.124.1 to 46.1.127.25446.1.127.2551,022
9746.1.128.0/2246.1.128.1 to 46.1.131.25446.1.131.2551,022
9846.1.132.0/2246.1.132.1 to 46.1.135.25446.1.135.2551,022
9946.1.136.0/2246.1.136.1 to 46.1.139.25446.1.139.2551,022
10046.1.140.0/2246.1.140.1 to 46.1.143.25446.1.143.2551,022
10146.1.144.0/2246.1.144.1 to 46.1.147.25446.1.147.2551,022
10246.1.148.0/2246.1.148.1 to 46.1.151.25446.1.151.2551,022
10346.1.152.0/2246.1.152.1 to 46.1.155.25446.1.155.2551,022
10446.1.156.0/2246.1.156.1 to 46.1.159.25446.1.159.2551,022
10546.1.160.0/2246.1.160.1 to 46.1.163.25446.1.163.2551,022
10646.1.164.0/2246.1.164.1 to 46.1.167.25446.1.167.2551,022
10746.1.168.0/2246.1.168.1 to 46.1.171.25446.1.171.2551,022
10846.1.172.0/2246.1.172.1 to 46.1.175.25446.1.175.2551,022
10946.1.176.0/2246.1.176.1 to 46.1.179.25446.1.179.2551,022
11046.1.180.0/2246.1.180.1 to 46.1.183.25446.1.183.2551,022
11146.1.184.0/2246.1.184.1 to 46.1.187.25446.1.187.2551,022
11246.1.188.0/2246.1.188.1 to 46.1.191.25446.1.191.2551,022
11346.1.192.0/2246.1.192.1 to 46.1.195.25446.1.195.2551,022
11446.1.196.0/2246.1.196.1 to 46.1.199.25446.1.199.2551,022
11546.1.200.0/2246.1.200.1 to 46.1.203.25446.1.203.2551,022
11646.1.204.0/2246.1.204.1 to 46.1.207.25446.1.207.2551,022
11746.1.208.0/2246.1.208.1 to 46.1.211.25446.1.211.2551,022
11846.1.212.0/2246.1.212.1 to 46.1.215.25446.1.215.2551,022
11946.1.216.0/2246.1.216.1 to 46.1.219.25446.1.219.2551,022
12046.1.220.0/2246.1.220.1 to 46.1.223.25446.1.223.2551,022
12146.1.224.0/2246.1.224.1 to 46.1.227.25446.1.227.2551,022
12246.1.228.0/2246.1.228.1 to 46.1.231.25446.1.231.2551,022
12346.1.232.0/2246.1.232.1 to 46.1.235.25446.1.235.2551,022
12446.1.236.0/2246.1.236.1 to 46.1.239.25446.1.239.2551,022
12546.1.240.0/2246.1.240.1 to 46.1.243.25446.1.243.2551,022
12646.1.244.0/2246.1.244.1 to 46.1.247.25446.1.247.2551,022
12746.1.248.0/2246.1.248.1 to 46.1.251.25446.1.251.2551,022
12846.1.252.0/2246.1.252.1 to 46.1.255.25446.1.255.2551,022
12946.2.0.0/2246.2.0.1 to 46.2.3.25446.2.3.2551,022
13046.2.4.0/2246.2.4.1 to 46.2.7.25446.2.7.2551,022
13146.2.8.0/2246.2.8.1 to 46.2.11.25446.2.11.2551,022
13246.2.12.0/2246.2.12.1 to 46.2.15.25446.2.15.2551,022
13346.2.16.0/2246.2.16.1 to 46.2.19.25446.2.19.2551,022
13446.2.20.0/2246.2.20.1 to 46.2.23.25446.2.23.2551,022
13546.2.24.0/2246.2.24.1 to 46.2.27.25446.2.27.2551,022
13646.2.28.0/2246.2.28.1 to 46.2.31.25446.2.31.2551,022
13746.2.32.0/2246.2.32.1 to 46.2.35.25446.2.35.2551,022
13846.2.36.0/2246.2.36.1 to 46.2.39.25446.2.39.2551,022
13946.2.40.0/2246.2.40.1 to 46.2.43.25446.2.43.2551,022
14046.2.44.0/2246.2.44.1 to 46.2.47.25446.2.47.2551,022
14146.2.48.0/2246.2.48.1 to 46.2.51.25446.2.51.2551,022
14246.2.52.0/2246.2.52.1 to 46.2.55.25446.2.55.2551,022
14346.2.56.0/2246.2.56.1 to 46.2.59.25446.2.59.2551,022
14446.2.60.0/2246.2.60.1 to 46.2.63.25446.2.63.2551,022
14546.2.64.0/2246.2.64.1 to 46.2.67.25446.2.67.2551,022
14646.2.68.0/2246.2.68.1 to 46.2.71.25446.2.71.2551,022
14746.2.72.0/2246.2.72.1 to 46.2.75.25446.2.75.2551,022
14846.2.76.0/2246.2.76.1 to 46.2.79.25446.2.79.2551,022
14946.2.80.0/2246.2.80.1 to 46.2.83.25446.2.83.2551,022
15046.2.84.0/2246.2.84.1 to 46.2.87.25446.2.87.2551,022
15146.2.88.0/2246.2.88.1 to 46.2.91.25446.2.91.2551,022
15246.2.92.0/2246.2.92.1 to 46.2.95.25446.2.95.2551,022
15346.2.96.0/2246.2.96.1 to 46.2.99.25446.2.99.2551,022
15446.2.100.0/2246.2.100.1 to 46.2.103.25446.2.103.2551,022
15546.2.104.0/2246.2.104.1 to 46.2.107.25446.2.107.2551,022
15646.2.108.0/2246.2.108.1 to 46.2.111.25446.2.111.2551,022
15746.2.112.0/2246.2.112.1 to 46.2.115.25446.2.115.2551,022
15846.2.116.0/2246.2.116.1 to 46.2.119.25446.2.119.2551,022
15946.2.120.0/2246.2.120.1 to 46.2.123.25446.2.123.2551,022
16046.2.124.0/2246.2.124.1 to 46.2.127.25446.2.127.2551,022
16146.2.128.0/2246.2.128.1 to 46.2.131.25446.2.131.2551,022
16246.2.132.0/2246.2.132.1 to 46.2.135.25446.2.135.2551,022
16346.2.136.0/2246.2.136.1 to 46.2.139.25446.2.139.2551,022
16446.2.140.0/2246.2.140.1 to 46.2.143.25446.2.143.2551,022
16546.2.144.0/2246.2.144.1 to 46.2.147.25446.2.147.2551,022
16646.2.148.0/2246.2.148.1 to 46.2.151.25446.2.151.2551,022
16746.2.152.0/2246.2.152.1 to 46.2.155.25446.2.155.2551,022
16846.2.156.0/2246.2.156.1 to 46.2.159.25446.2.159.2551,022
16946.2.160.0/2246.2.160.1 to 46.2.163.25446.2.163.2551,022
17046.2.164.0/2246.2.164.1 to 46.2.167.25446.2.167.2551,022
17146.2.168.0/2246.2.168.1 to 46.2.171.25446.2.171.2551,022
17246.2.172.0/2246.2.172.1 to 46.2.175.25446.2.175.2551,022
17346.2.176.0/2246.2.176.1 to 46.2.179.25446.2.179.2551,022
17446.2.180.0/2246.2.180.1 to 46.2.183.25446.2.183.2551,022
17546.2.184.0/2246.2.184.1 to 46.2.187.25446.2.187.2551,022
17646.2.188.0/2246.2.188.1 to 46.2.191.25446.2.191.2551,022
17746.2.192.0/2246.2.192.1 to 46.2.195.25446.2.195.2551,022
17846.2.196.0/2246.2.196.1 to 46.2.199.25446.2.199.2551,022
17946.2.200.0/2246.2.200.1 to 46.2.203.25446.2.203.2551,022
18046.2.204.0/2246.2.204.1 to 46.2.207.25446.2.207.2551,022
18146.2.208.0/2246.2.208.1 to 46.2.211.25446.2.211.2551,022
18246.2.212.0/2246.2.212.1 to 46.2.215.25446.2.215.2551,022
18346.2.216.0/2246.2.216.1 to 46.2.219.25446.2.219.2551,022
18446.2.220.0/2246.2.220.1 to 46.2.223.25446.2.223.2551,022
18546.2.224.0/2246.2.224.1 to 46.2.227.25446.2.227.2551,022
18646.2.228.0/2246.2.228.1 to 46.2.231.25446.2.231.2551,022
18746.2.232.0/2246.2.232.1 to 46.2.235.25446.2.235.2551,022
18846.2.236.0/2246.2.236.1 to 46.2.239.25446.2.239.2551,022
18946.2.240.0/2246.2.240.1 to 46.2.243.25446.2.243.2551,022
19046.2.244.0/2246.2.244.1 to 46.2.247.25446.2.247.2551,022
19146.2.248.0/2246.2.248.1 to 46.2.251.25446.2.251.2551,022
19246.2.252.0/2246.2.252.1 to 46.2.255.25446.2.255.2551,022
19346.3.0.0/2246.3.0.1 to 46.3.3.25446.3.3.2551,022
19446.3.4.0/2246.3.4.1 to 46.3.7.25446.3.7.2551,022
19546.3.8.0/2246.3.8.1 to 46.3.11.25446.3.11.2551,022
19646.3.12.0/2246.3.12.1 to 46.3.15.25446.3.15.2551,022
19746.3.16.0/2246.3.16.1 to 46.3.19.25446.3.19.2551,022
19846.3.20.0/2246.3.20.1 to 46.3.23.25446.3.23.2551,022
19946.3.24.0/2246.3.24.1 to 46.3.27.25446.3.27.2551,022
20046.3.28.0/2246.3.28.1 to 46.3.31.25446.3.31.2551,022
20146.3.32.0/2246.3.32.1 to 46.3.35.25446.3.35.2551,022
20246.3.36.0/2246.3.36.1 to 46.3.39.25446.3.39.2551,022
20346.3.40.0/2246.3.40.1 to 46.3.43.25446.3.43.2551,022
20446.3.44.0/2246.3.44.1 to 46.3.47.25446.3.47.2551,022
20546.3.48.0/2246.3.48.1 to 46.3.51.25446.3.51.2551,022
20646.3.52.0/2246.3.52.1 to 46.3.55.25446.3.55.2551,022
20746.3.56.0/2246.3.56.1 to 46.3.59.25446.3.59.2551,022
20846.3.60.0/2246.3.60.1 to 46.3.63.25446.3.63.2551,022
20946.3.64.0/2246.3.64.1 to 46.3.67.25446.3.67.2551,022
21046.3.68.0/2246.3.68.1 to 46.3.71.25446.3.71.2551,022
21146.3.72.0/2246.3.72.1 to 46.3.75.25446.3.75.2551,022
21246.3.76.0/2246.3.76.1 to 46.3.79.25446.3.79.2551,022
21346.3.80.0/2246.3.80.1 to 46.3.83.25446.3.83.2551,022
21446.3.84.0/2246.3.84.1 to 46.3.87.25446.3.87.2551,022
21546.3.88.0/2246.3.88.1 to 46.3.91.25446.3.91.2551,022
21646.3.92.0/2246.3.92.1 to 46.3.95.25446.3.95.2551,022
21746.3.96.0/2246.3.96.1 to 46.3.99.25446.3.99.2551,022
21846.3.100.0/2246.3.100.1 to 46.3.103.25446.3.103.2551,022
21946.3.104.0/2246.3.104.1 to 46.3.107.25446.3.107.2551,022
22046.3.108.0/2246.3.108.1 to 46.3.111.25446.3.111.2551,022
22146.3.112.0/2246.3.112.1 to 46.3.115.25446.3.115.2551,022
22246.3.116.0/2246.3.116.1 to 46.3.119.25446.3.119.2551,022
22346.3.120.0/2246.3.120.1 to 46.3.123.25446.3.123.2551,022
22446.3.124.0/2246.3.124.1 to 46.3.127.25446.3.127.2551,022
22546.3.128.0/2246.3.128.1 to 46.3.131.25446.3.131.2551,022
22646.3.132.0/2246.3.132.1 to 46.3.135.25446.3.135.2551,022
22746.3.136.0/2246.3.136.1 to 46.3.139.25446.3.139.2551,022
22846.3.140.0/2246.3.140.1 to 46.3.143.25446.3.143.2551,022
22946.3.144.0/2246.3.144.1 to 46.3.147.25446.3.147.2551,022
23046.3.148.0/2246.3.148.1 to 46.3.151.25446.3.151.2551,022
23146.3.152.0/2246.3.152.1 to 46.3.155.25446.3.155.2551,022
23246.3.156.0/2246.3.156.1 to 46.3.159.25446.3.159.2551,022
23346.3.160.0/2246.3.160.1 to 46.3.163.25446.3.163.2551,022
23446.3.164.0/2246.3.164.1 to 46.3.167.25446.3.167.2551,022
23546.3.168.0/2246.3.168.1 to 46.3.171.25446.3.171.2551,022
23646.3.172.0/2246.3.172.1 to 46.3.175.25446.3.175.2551,022
23746.3.176.0/2246.3.176.1 to 46.3.179.25446.3.179.2551,022
23846.3.180.0/2246.3.180.1 to 46.3.183.25446.3.183.2551,022
23946.3.184.0/2246.3.184.1 to 46.3.187.25446.3.187.2551,022
24046.3.188.0/2246.3.188.1 to 46.3.191.25446.3.191.2551,022
24146.3.192.0/2246.3.192.1 to 46.3.195.25446.3.195.2551,022
24246.3.196.0/2246.3.196.1 to 46.3.199.25446.3.199.2551,022
24346.3.200.0/2246.3.200.1 to 46.3.203.25446.3.203.2551,022
24446.3.204.0/2246.3.204.1 to 46.3.207.25446.3.207.2551,022
24546.3.208.0/2246.3.208.1 to 46.3.211.25446.3.211.2551,022
24646.3.212.0/2246.3.212.1 to 46.3.215.25446.3.215.2551,022
24746.3.216.0/2246.3.216.1 to 46.3.219.25446.3.219.2551,022
24846.3.220.0/2246.3.220.1 to 46.3.223.25446.3.223.2551,022
24946.3.224.0/2246.3.224.1 to 46.3.227.25446.3.227.2551,022
25046.3.228.0/2246.3.228.1 to 46.3.231.25446.3.231.2551,022
25146.3.232.0/2246.3.232.1 to 46.3.235.25446.3.235.2551,022
25246.3.236.0/2246.3.236.1 to 46.3.239.25446.3.239.2551,022
25346.3.240.0/2246.3.240.1 to 46.3.243.25446.3.243.2551,022
25446.3.244.0/2246.3.244.1 to 46.3.247.25446.3.247.2551,022
25546.3.248.0/2246.3.248.1 to 46.3.251.25446.3.251.2551,022
25646.3.252.0/2246.3.252.1 to 46.3.255.25446.3.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses